### Signal

# WebKit WebView::enter-fullscreen

unstable since: 6.0

#### Declaration

    gboolean
    enter_fullscreen (
      WebKitWebView* self,
      gpointer user_data
    )

#### Description [src]

Emitted when JavaScript code calls element.webkitRequestFullScreen. If the signal is not handled the `WebKitWebView` will proceed to full screen its top level window. This signal can be used by client code to request permission to the user prior doing the full screen transition and eventually prepare the top-level window (e.g. hide some widgets that would otherwise be part of the full screen window).

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 6.0

#### Return value

Type: `gboolean`

`TRUE` to stop other handlers from being invoked for the event. `FALSE` to continue emission of the event.